package com.fusi24.entryPermitScanner;

import android.app.Application;
import android.content.Context;

import com.fusi24.entryPermitScanner.data.entity.DataDetail;
import com.fusi24.entryPermitScanner.data.entity.DataEntryPermit;
import com.fusi24.entryPermitScanner.data.entity.DataSite;

import java.util.ArrayList;
import java.util.List;

public abstract class BaseApplication extends Application {

    private List<DataSite> siteList;
    private List<DataEntryPermit> entryPermitList;
    private List<DataDetail> dataStatusScanList;

    @Override
    protected void attachBaseContext(Context base) {
        super.attachBaseContext(base);
    }

    @Override
    public void onCreate() {
        super.onCreate();
    }

    public List<DataSite> getSiteList() {
        if (siteList == null) {
            siteList = new ArrayList<>();
        }
        return siteList;
    }

    public void setObjectDetailList(List<DataSite> siteList) {
        this.siteList = siteList;
    }

    public List<DataEntryPermit> getEntryPermitList() {
        if (entryPermitList == null) {
            entryPermitList = new ArrayList<>();
        }
        return entryPermitList;
    }

    public void setEntryPermitList(List<DataEntryPermit> entryPermitList) {
        this.entryPermitList = entryPermitList;
    }

    public List<DataDetail> getDataStatusScanList() {
        if (dataStatusScanList == null) {
            dataStatusScanList = new ArrayList<>();
        }
        return dataStatusScanList;
    }

    public void setDataStatusScanList(List<DataDetail> dataStatusScanList) {
        this.dataStatusScanList = dataStatusScanList;
    }

}
